/***  OVERALL    */

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  font-family: "Montserrat", sans-serif;
  font-size : 100%;
}

.flex {
  display: flex;
}

.center {
  justify-content: center;
}

.flexStart {
  justify-content: flex-start;
}

.flexWrap {
  flex-wrap: wrap;
}

.textCenter {
  text-align: center;
}

.column {
  flex-direction: column;
}

.end {
  justify-content: flex-end;
}

.between {
  justify-content: space-between;
}

.evenly {
  justify-content: space-evenly;
}

.itemsCenter {
  align-items: center;
}





/**** HEADER     */

.header {
  background-color: #dee7ee;
  position: sticky;
  top: 0;
}

.header img {
  width: 10%;
  height: auto;
  margin-top: 1em;
  margin-bottom: 1em;
}

.headerHautDroit {
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

.headerHautDroit select {
  padding: 1em;
  border: none;
  border-radius: 1em;
  font-size: 1em;
  background-color: rgb(199, 194, 194);
  margin-left: 1em;
  width: auto;
}








/**** BODY     */


/**** BACKGROUND AND GENERALS     */

.container {
  width: 1200px;
  margin: auto;
}

.mainBackground {
  padding: 1em;
  border-radius: 1em;
  margin-top: 1em;
  background: rgba(161, 158, 158, 0.2);
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  border: 1px solid rgba(255, 255, 255, 0.3);
}

.home
{
  margin-top: 50vh; 
  transform: translateY(-50%); 
}

.whiteBackground{
  background-color: white;
  border-radius: 1em;
  padding: 2em;
}

hr{
  margin: 1em;
}

main img {
  width: 25%;
  margin-top: 5%;
}

.hidden
{
  visibility: visible;
}

.hideDiv{
  display: none;
}





/************** ERROR & SUCCESS   *************/

.error {
  color: red;
  font-weight: bold;
  font-size: 1.5em;
  margin: 1em;
}

.success {
  color: green;
  font-weight: bold;
  font-size: 1.5em;
  margin: 1em;
}

.red{
  color: red;
  font-weight: bold;
}

.green{
  color: green;
  font-weight: bold;
}








/**** BUTTONS     */

.btn{
  margin: 0.2em;
}

.nightButton{
  cursor: pointer;
  text-align: center;
  padding: 5px;
  margin-left: 8px;
}

.dark-mode{
  background-color: #222;
  color: #e6e6e6;
} 

.dark-mode{
  animation-name: animation;
  animation-duration: 1s;  
  animation-play-state: running;
  animation-fill-mode: forwards;
}

@keyframes animation {
  100.0%  {background-color:#222;}
}

button {
  background-color: #95ced3;
  padding: 0.5rem;
  color: white;
  margin: 0.2rem;
  border-radius: 1em;
  border: none;
  align-items: center;
  display: flex;
  font-size: 100%;
}

button:hover {
  -webkit-box-shadow: 5px 5px 7px -3px #000000;
  box-shadow: 5px 5px 7px -3px #000000;
}












/**** FORMS     */

form {
  display: flex;
  flex-direction: column;
  align-items: center;
}

input {
  width: 50%;
  margin: 0.5em;
  padding: 0.5em;
  border-radius: 0.5em;
  border: none;
}

.formUpdateUser {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.search {
  border: 2px solid #356081;
  width:auto;
}

.searchError {
  border: 2px solid red;
  width:auto;
  animation-duration: .3s;
  animation-name: clignoter;
  animation-iteration-count: 3;
  transition: none;
}

@keyframes clignoter {
  0%   { opacity:1; }
  40%   {opacity:0; }
  100% { opacity:1; }
}

.navbar
{
  margin-bottom: 1em;
}

textarea {
  max-width: 100%;
}







/**** TABLE    */

td.TdError{
  background-color: red;
}

td.TdMedium{
  background-color: rgb(231, 174, 18);
}

td.TdSuccess{
  background-color: green;
}

.userTable,
.userTable td {
  border: 1px solid black;
  text-align: center;
}









/**** LINKS */

a {
  color: grey;
  text-decoration: none;
}

a:hover {
  color: black;
}

a.pagination{
  font-size: large;
  background-color: white;
  padding: 0.2em;
}







/******  TITLES  *******/

h1{
  font-size: 1.5em;
}

h2{
  font-size: 1.2em;
}

h3{
  margin: 0.5em;
  font-size: 1em;
}





/*** ACCUEIL **/



.Accueil{
  display : flex;
  justify-content: space-evenly;

}


.ulAccueil li {
  list-style: none;
  margin: 1em 5em;
}


.videoAccueil{
  width: 400px;
  height: 350px;
}






/** List ***/

li{
  list-style: none;
}



/***** Icons    **/ 


i{
  font-size: 1.5em;
  padding: 0.2em;
}







/**   DASHBOARD  ***/

.listeHome {
  justify-content: space-evenly;
  font-size: 2em;
  align-items: center;
  display: flex;
  flex-direction: column;
}

.Version{
  bottom: 0;
  left: 0;
  right: 0;
  margin: 1em;
}



/**** FOOTER     */










/******   MEDIA-QUERIES */

/** Pour smartphone  */
@media (max-width : 760px){

/***** Overall ******/

  .container {
    max-width: 450px;
    margin: auto;
  }

  * {
    font-family: "Montserrat", sans-serif;
    font-size : 90%;
  }
  
  input {
    width: 20%;
    margin: 0.5em;
    padding: 0.5em;
    border: none;
  }

  main img {
    width: 50%;
    margin-top: 5%;
  }

  i{
    font-size: 95%;
  }

  button{
    font-size: 50%;
  }


  h1{
    font-size: 1.2em;
  }

  h2{
    font-size: 1em;
  }

  h3{
    margin: 0.3em;
    font-size: 0.8em;
  }

  .hidden{
    display: none;
    visibility: hidden;
  }

  


  .mainBackground {
    padding: 1em;
    border-radius: 1em;
    margin-top: 1em;
    max-width: 100%;
    background: rgba(161, 158, 158, 0.2);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    border: 1px solid rgba(255, 255, 255, 0.3);
  }

  /**** LINKS ****/

  a.pagination{
    font-size: small;
    background-color: white;
    padding: 0.2em;
  }

  

  /***** Header ******/

  .header img {
    width: 20%;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
  }

  .headerHautDroit select {
    width: 50%;
    font-size: larger;
  }

  /****** Page d'accueil ****/
  .Accueil{
    display : flex;
    flex-direction: column;
  }

}

/****** Pour affichage sur tablette affichage en portrait ****/
@media (min-width : 601px) and (max-width : 1024px) {
  /* Styles pour cette Media Queries */
    .hidden{
      display: none;
      visibility: hidden;
    }

    /***** Header ******/

    .header img {
      width: 15%;
      margin-top: 0.5em;
      margin-bottom: 0.5em;
    }

    .headerHautDroit select {
      width: 70%;
      font-size: large;
    }
  }

